Debian Bug report logs - #673431
libkvm-dev: kvm.h requires sys/types.h

version graph

Package: libkvm-dev; Maintainer for libkvm-dev is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for libkvm-dev is src:freebsd-libs.

Reported by: Sebastian Harl <tokkee@debian.org>

Date: Fri, 18 May 2012 17:03:05 UTC

Severity: important

Found in version freebsd-libs/9.0+ds1-2

Fixed in version freebsd-libs/9.0+ds1-3

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#673431; Package libkvm-dev. (Fri, 18 May 2012 17:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <tokkee@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 18 May 2012 17:03:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libkvm-dev: kvm.h requires sys/types.h
Date: Fri, 18 May 2012 18:52:25 +0200
[Message part 1 (text/plain, inline)]
Package: libkvm-dev
Version: 9.0+ds1-2
Severity: important

Hi,

/usr/include/kvm.h requires sys/types.h:

  tokkee@kfreebsd:~$ cat kvm-test.c 
  #include <kvm.h>
  int main(void) { return 0; }
  tokkee@kfreebsd:~$ gcc kvm-test.c 
  In file included from kvm-test.c:1:0:
  /usr/include/kvm.h:45:1: error: unknown type name ‘__size_t’
  /usr/include/kvm.h:45:18: error: conflicting types for ‘size_t’
  In file included from /usr/include/machine/_types.h:8:0,
                   from /usr/include/sys/_types.h:33,
                   from /usr/include/kvm.h:37,
                   from kvm-test.c:1:
  /usr/include/machine-amd64/_types.h:85:20: note: previous declaration of ‘size_t’ was here

Including sys/types.h before kvm.h fixes that issue.

It would be nice if either kvm.h includes sys/types.h itself or if the
documentation mentions the fact, that sys/types.h needs to be included
first (which is not currently the case and which is why I think, this is
not intended and thus severity important ;-)).

TIA,
Sebastian

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#673431; Package libkvm-dev. (Fri, 18 May 2012 17:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 18 May 2012 17:30:07 GMT) Full text and rfc822 format available.

Message #10 received at 673431@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Sebastian Harl <tokkee@debian.org>, 673431@bugs.debian.org
Cc: "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#673431: libkvm-dev: kvm.h requires sys/types.h
Date: Fri, 18 May 2012 18:25:50 +0100
user debian-bsd@lists.debian.org
usertags 673431 kfreebsd
thanks

Hi,

On 18/05/12 17:52, Sebastian Harl wrote:
> /usr/include/kvm.h requires sys/types.h:

I think that is deliberate, and the user is expected to include it
first;  I have no idea if or where this is documented, but I'm sure it
should be :)

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#673431; Package libkvm-dev. (Fri, 18 May 2012 20:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Harl <tokkee@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 18 May 2012 20:39:05 GMT) Full text and rfc822 format available.

Message #15 received at 673431@bugs.debian.org (full text, mbox):

From: Sebastian Harl <tokkee@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: 673431@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#673431: libkvm-dev: kvm.h requires sys/types.h
Date: Fri, 18 May 2012 22:27:14 +0200
[Message part 1 (text/plain, inline)]
Hi,

On Fri, May 18, 2012 at 06:25:50PM +0100, Steven Chamberlain wrote:
> On 18/05/12 17:52, Sebastian Harl wrote:
> > /usr/include/kvm.h requires sys/types.h:
> 
> I think that is deliberate, and the user is expected to include it
> first;

Well, I usually expect headers to be self-contained ;-) But that may
just be my personal preference ;-)

> I have no idea if or where this is documented, but I'm sure it
> should be :)

The kvm_*(3) manpages would be a a good place imho. E.g. kvm_open(3)
documents, that fcntl.h is required as well.

TIA,
Sebastian

-- 
Sebastian "tokkee" Harl +++ GnuPG-ID: 0x8501C7FC +++ http://tokkee.org/

Those who would give up Essential Liberty to purchase a little Temporary
Safety, deserve neither Liberty nor Safety.         -- Benjamin Franklin

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#673431; Package libkvm-dev. (Sat, 19 May 2012 12:31:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 19 May 2012 12:31:09 GMT) Full text and rfc822 format available.

Message #20 received at 673431@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Sebastian Harl <tokkee@debian.org>, 673431@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#673431: libkvm-dev: kvm.h requires sys/types.h
Date: Sat, 19 May 2012 14:08:55 +0200
2012/5/18 Steven Chamberlain <steven@pyro.eu.org>:
> On 18/05/12 17:52, Sebastian Harl wrote:
>> /usr/include/kvm.h requires sys/types.h:
>
> I think that is deliberate, and the user is expected to include it
> first;

Uhm no.  You should check such things on FreeBSD before jumping to
conclusions :-)

The origin of this is rev 184135 in GCC SVN.  This fix isn't present
in older GCC, and as workaround we have a nasty s/__size_t/size_t/
kludge in kfreebsd-kernel-headers.

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#673431; Package libkvm-dev. (Sat, 19 May 2012 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 19 May 2012 13:48:04 GMT) Full text and rfc822 format available.

Message #25 received at 673431@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: Sebastian Harl <tokkee@debian.org>, 673431@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#673431: libkvm-dev: kvm.h requires sys/types.h
Date: Sat, 19 May 2012 14:44:45 +0100
On 14:08, Robert Millan wrote:
> 2012/5/18 Steven Chamberlain <steven@pyro.eu.org>:
> > On 18/05/12 17:52, Sebastian Harl wrote:
> >> /usr/include/kvm.h requires sys/types.h:
> >
> > I think that is deliberate, and the user is expected to include it
> > first;
> 
> Uhm no.  You should check such things on FreeBSD before jumping to
> conclusions :-)

I don't even know why I said that now...  s/think/suspect maybe/

So due to this kludge, some headers must now include sys/types.h, because on upstream FreeBSD the appropriate definition would be been provided by GCC?  The new typename is fairly self-documenting now anyway. :)

I'm still confused why some of the kkh /tests/*.c include kern/sys/types.h

Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#673431; Package libkvm-dev. (Sat, 19 May 2012 13:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 19 May 2012 13:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 673431@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: Robert Millan <rmh@debian.org>
Cc: Sebastian Harl <tokkee@debian.org>, 673431@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#673431: libkvm-dev: kvm.h requires sys/types.h
Date: Sat, 19 May 2012 14:49:57 +0100
On 14:44, Steven Chamberlain wrote:
> So due to this kludge, some headers must now include sys/types.h

Ummm that's probably not true either, I've just saw the commit fixing this.
-- 
Steven Chamberlain
steven@pyro.eu.org




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#673431; Package libkvm-dev. (Sat, 19 May 2012 13:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 19 May 2012 13:54:05 GMT) Full text and rfc822 format available.

Message #35 received at 673431@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>
Cc: Sebastian Harl <tokkee@debian.org>, 673431@bugs.debian.org, "debian-bsd@lists.debian.org" <debian-bsd@lists.debian.org>
Subject: Re: Bug#673431: libkvm-dev: kvm.h requires sys/types.h
Date: Sat, 19 May 2012 15:50:33 +0200
2012/5/19 Steven Chamberlain <steven@pyro.eu.org>:
> So due to this kludge, some headers must now include sys/types.h, because on upstream FreeBSD the appropriate definition would be been provided by GCC?

No, headers can rely on <stddef.h> for size_t as usual.

It's just kvm.h which tries to be smart and define size_t on its own,
using the __size_t from kkh.  But unlike FreeBSD we can't have
__size_t, because __size_t would break GCC << 4.7.

> I'm still confused why some of the kkh /tests/*.c include kern/sys/types.h

Well each test would have its own reasons.  Which one do you have in mind?

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 25 May 2012 17:24:16 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Harl <tokkee@debian.org>:
Bug acknowledged by developer. (Fri, 25 May 2012 17:24:16 GMT) Full text and rfc822 format available.

Message #40 received at 673431-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 673431-close@bugs.debian.org
Subject: Bug#673431: fixed in freebsd-libs 9.0+ds1-3
Date: Fri, 25 May 2012 17:03:26 +0000
Source: freebsd-libs
Source-Version: 9.0+ds1-3

We believe that the bug you reported is fixed in the latest version of
freebsd-libs, which is due to be installed in the Debian FTP archive:

freebsd-libs_9.0+ds1-3.debian.tar.gz
  to main/f/freebsd-libs/freebsd-libs_9.0+ds1-3.debian.tar.gz
freebsd-libs_9.0+ds1-3.dsc
  to main/f/freebsd-libs/freebsd-libs_9.0+ds1-3.dsc
libalias-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libalias-dev_9.0+ds1-3_kfreebsd-amd64.deb
libalias7_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libalias7_9.0+ds1-3_kfreebsd-amd64.deb
libcam-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libcam-dev_9.0+ds1-3_kfreebsd-amd64.deb
libcam6_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libcam6_9.0+ds1-3_kfreebsd-amd64.deb
libdevstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libdevstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
libdevstat7_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libdevstat7_9.0+ds1-3_kfreebsd-amd64.deb
libgeom-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libgeom-dev_9.0+ds1-3_kfreebsd-amd64.deb
libgeom1-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libgeom1-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
libgeom1_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libgeom1_9.0+ds1-3_kfreebsd-amd64.deb
libipx-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libipx-dev_9.0+ds1-3_kfreebsd-amd64.deb
libipx2-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libipx2-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
libipx2_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libipx2_9.0+ds1-3_kfreebsd-amd64.deb
libjail-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libjail-dev_9.0+ds1-3_kfreebsd-amd64.deb
libjail1_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libjail1_9.0+ds1-3_kfreebsd-amd64.deb
libkiconv-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkiconv-dev_9.0+ds1-3_kfreebsd-amd64.deb
libkiconv4_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkiconv4_9.0+ds1-3_kfreebsd-amd64.deb
libkvm-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkvm-dev_9.0+ds1-3_kfreebsd-amd64.deb
libkvm0_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libkvm0_9.0+ds1-3_kfreebsd-amd64.deb
libmemstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libmemstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
libmemstat3_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libmemstat3_9.0+ds1-3_kfreebsd-amd64.deb
libnetgraph-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libnetgraph-dev_9.0+ds1-3_kfreebsd-amd64.deb
libnetgraph4_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libnetgraph4_9.0+ds1-3_kfreebsd-amd64.deb
libsbuf-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libsbuf-dev_9.0+ds1-3_kfreebsd-amd64.deb
libsbuf6-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libsbuf6-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
libsbuf6_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libsbuf6_9.0+ds1-3_kfreebsd-amd64.deb
libusb2-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusb2-dev_9.0+ds1-3_kfreebsd-amd64.deb
libusb2debian-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
  to main/f/freebsd-libs/libusb2debian-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
libusb2debian_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusb2debian_9.0+ds1-3_kfreebsd-amd64.deb
libusbhid-common_9.0+ds1-3_all.deb
  to main/f/freebsd-libs/libusbhid-common_9.0+ds1-3_all.deb
libusbhid-dev_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusbhid-dev_9.0+ds1-3_kfreebsd-amd64.deb
libusbhid4debian_9.0+ds1-3_kfreebsd-amd64.deb
  to main/f/freebsd-libs/libusbhid4debian_9.0+ds1-3_kfreebsd-amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673431@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated freebsd-libs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 May 2012 18:37:58 +0200
Source: freebsd-libs
Binary: libsbuf6 libsbuf6-udeb libsbuf-dev libcam6 libcam-dev libgeom1 libgeom-dev libgeom1-udeb libusbhid4debian libusbhid-common libusbhid-dev libusb2debian libusb2-dev libusb2debian-udeb libkvm0 libkvm-dev libdevstat7 libdevstat-dev libmemstat3 libmemstat-dev libnetgraph4 libnetgraph-dev libipx2 libipx-dev libipx2-udeb libkiconv4 libkiconv-dev libjail1 libjail-dev libalias7 libalias-dev
Architecture: source kfreebsd-amd64 all
Version: 9.0+ds1-3
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 libalias-dev - Development files for libalias
 libalias7  - FreeBSD packet aliasing library
 libcam-dev - Development files for libcam
 libcam6    - FreeBSD CAM (Common Access Method) library
 libdevstat-dev - Development files for libdevstat
 libdevstat7 - FreeBSD devstat (kernel interface) library
 libgeom-dev - Development files for libgeom
 libgeom1   - FreeBSD GEOM library
 libgeom1-udeb - FreeBSD GEOM library (udeb) (udeb)
 libipx-dev - Development files for libipx
 libipx2    - FreeBSD IPX address conversion support library
 libipx2-udeb - FreeBSD IPX address conversion support library (udeb) (udeb)
 libjail-dev - Development files for libjail
 libjail1   - FreeBSD jail library
 libkiconv-dev - Development files for libkiconv
 libkiconv4 - FreeBSD kernel side iconv library (udeb)
 libkvm-dev - Development files for libkvm
 libkvm0    - FreeBSD kvm (kernel memory interface) library
 libmemstat-dev - Development files for libmemstat
 libmemstat3 - FreeBSD memstat (kernel interface) library
 libnetgraph-dev - Development files for libnetgraph
 libnetgraph4 - FreeBSD netgraph (kernel interface) library
 libsbuf-dev - Development files for libsbuf
 libsbuf6   - FreeBSD string buffer library
 libsbuf6-udeb - FreeBSD string buffer library (udeb) (udeb)
 libusb2-dev - Development files for libusb2
 libusb2debian - FreeBSD userspace USB programming library
 libusb2debian-udeb - Development files for libusb2 (udeb) (udeb)
 libusbhid-common - Common files for the USB HID devices FreeBSD library
 libusbhid-dev - Development files for libusbhid
 libusbhid4debian - FreeBSD library to access USB HID devices
Closes: 673431
Changes: 
 freebsd-libs (9.0+ds1-3) unstable; urgency=low
 .
   [ Robert Millan ]
   * 04_libkvm.diff: Remove struct loadavg kludge, B-D on libc0.1-dev (>=
     2.13-31) instead.
   * Fix a pair of typos in debian/control.
   * kvm_size_t_kludge.diff: Temporary kludge to define size_t (requires
     kfreebsd-kernel-headers >= 0.81).  (Closes: #673431)
   * Fix FTBFS with latest kfreebsd-kernel-headers.
 .
   [ Guillem Jover ]
   * Remove Debian revisions from versions in libmemstat3, libsbuf6 and libcam6
     symbols files.
Checksums-Sha1: 
 5ee45071f4d8ca45e7d93b500f31fdc2aa38f8f9 3054 freebsd-libs_9.0+ds1-3.dsc
 5ea7365eef2f2cc59d786387d3a9d0684b6723f2 25680 freebsd-libs_9.0+ds1-3.debian.tar.gz
 5845cdcd0d5bb7f66b3aff4b51d0e08968568aa1 14324 libsbuf6_9.0+ds1-3_kfreebsd-amd64.deb
 55aa5125ee0d9e4c08966570c8a0b3562c859f86 4996 libsbuf6-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 eec6dab0066b91554c924700e999fcbcc3a0c063 13792 libsbuf-dev_9.0+ds1-3_kfreebsd-amd64.deb
 33074745fd23bec9b0ffaeff6dcbd383004fa987 61490 libcam6_9.0+ds1-3_kfreebsd-amd64.deb
 85c19a0c90a4e68c1ec57232c4ff86b6b6707822 78958 libcam-dev_9.0+ds1-3_kfreebsd-amd64.deb
 e03037db3e51bb9d1f27681a6f494747e8640263 20172 libgeom1_9.0+ds1-3_kfreebsd-amd64.deb
 1963e71c6ccf650faf46df13c9af6fc32fef957b 25220 libgeom-dev_9.0+ds1-3_kfreebsd-amd64.deb
 9fb9c61592d0934f71c88f014dc3a41751d69458 10634 libgeom1-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 40ce283d148be2889b350c73414b95aaf882e4a1 17198 libusbhid4debian_9.0+ds1-3_kfreebsd-amd64.deb
 70198b89e885cbe2530832f7a78a94be0f38da12 20774 libusbhid-dev_9.0+ds1-3_kfreebsd-amd64.deb
 e79d9b422d810147ebb42f11d2c5176a4fbad2c1 43196 libusb2debian_9.0+ds1-3_kfreebsd-amd64.deb
 59154a92a2a03d8cd3c4a5491b64b7c71e2ab674 68372 libusb2-dev_9.0+ds1-3_kfreebsd-amd64.deb
 333ad86411280cc57dc12e7b252270fc9b43449d 32520 libusb2debian-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 12bdab0052298b9d5a0c34a169f531e3cd94129f 26524 libkvm0_9.0+ds1-3_kfreebsd-amd64.deb
 cd0f0ef14c8090ce4f6d0bcae9e0271d4f61c7e6 49558 libkvm-dev_9.0+ds1-3_kfreebsd-amd64.deb
 ead2c92930c03ee2d2583951e5bb89b7d8f5370f 19774 libdevstat7_9.0+ds1-3_kfreebsd-amd64.deb
 d3da4c52153c4fbd8d139a8478fc9f4345de9783 26400 libdevstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
 17ef0fda50d3a0de07737334a9b342bbce294285 17766 libmemstat3_9.0+ds1-3_kfreebsd-amd64.deb
 3dd39e765e556051aac9f3b087d907a24c551f72 24460 libmemstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
 6edfd9160cfe300f7847f5dd8700a4b1c8f14982 18298 libnetgraph4_9.0+ds1-3_kfreebsd-amd64.deb
 5812013e6ebc54a6f6984613abd3956fe24ebc41 23738 libnetgraph-dev_9.0+ds1-3_kfreebsd-amd64.deb
 33208fca31e6806fc649ea2d83c2986ea43df716 13366 libipx2_9.0+ds1-3_kfreebsd-amd64.deb
 85573098af5fae0a0fca0de87ce49bff841665b8 15102 libipx-dev_9.0+ds1-3_kfreebsd-amd64.deb
 9331b1590a9f52ed498fd3a97bf51024f3b317f8 4078 libipx2-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 fd86ac786aaa07e8ea10dc465a557ef296f1ef06 15738 libkiconv4_9.0+ds1-3_kfreebsd-amd64.deb
 6e9b9baafbbfb530c10033d6c7272cdc6229328d 12984 libkiconv-dev_9.0+ds1-3_kfreebsd-amd64.deb
 12a15c796a86161efffd9a1aae9986f3f172a337 20282 libjail1_9.0+ds1-3_kfreebsd-amd64.deb
 4fb98834d1b9b73abf87e6c209cd98a0e99b3903 23858 libjail-dev_9.0+ds1-3_kfreebsd-amd64.deb
 c9ee30efb2caa57488db382686f1e8ab042223e0 31856 libalias7_9.0+ds1-3_kfreebsd-amd64.deb
 14c30ad9574c39d7d94f3687dc5efe182fd8b499 48806 libalias-dev_9.0+ds1-3_kfreebsd-amd64.deb
 3515f941d8e4fc8ac3b99844ce87d896970d99f8 23850 libusbhid-common_9.0+ds1-3_all.deb
Checksums-Sha256: 
 9ffdc51a527df4b5dac43f2c4d1eb3a817348aa90d937ebb7e88aac732359c84 3054 freebsd-libs_9.0+ds1-3.dsc
 8eff9bb7f3f982998353ea4d8a7e8fb4c080ca19695955fd56c4be45e22eb6f9 25680 freebsd-libs_9.0+ds1-3.debian.tar.gz
 e5585f25fc35b28515eb30476ebb55a3b6432d71888a6ce6266992e3e66956b2 14324 libsbuf6_9.0+ds1-3_kfreebsd-amd64.deb
 e46f27c9d03b69945589235e8328401900ece084bbe0add84a7f74e272400218 4996 libsbuf6-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 c4f4172bbfce5c9b2475aa177df19518f0121c9bde399aa441204d279d1547ed 13792 libsbuf-dev_9.0+ds1-3_kfreebsd-amd64.deb
 9a473e84bebfcd026fb2fcef816dba30d91b99c923b46060ca5335c80339f35e 61490 libcam6_9.0+ds1-3_kfreebsd-amd64.deb
 96ad0ae29a1664bdacef6bdaa2c2987a080b95cb5f28719072e978ff24ee9dda 78958 libcam-dev_9.0+ds1-3_kfreebsd-amd64.deb
 7d7273f8a7db52c33465ed1672e8cedacef6940fce91f5a31d0511b36de8df37 20172 libgeom1_9.0+ds1-3_kfreebsd-amd64.deb
 7e5655e44740f8b76b39d5f211d2b3a1f4ef75d1aa5bfa91a0949d6606d659c4 25220 libgeom-dev_9.0+ds1-3_kfreebsd-amd64.deb
 2ed1f8d599508ec05b18f88a1d8bf4e4791787fe31130d636f4bc35376c45798 10634 libgeom1-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 27b8595cb69e70404acf29bd9cb7768822a9b3bad8a16f61c5a8f12c5124940a 17198 libusbhid4debian_9.0+ds1-3_kfreebsd-amd64.deb
 a3ae3d3006c6a853941a76a96a3f68a3a8aad0818cd52fd4137a989161b15312 20774 libusbhid-dev_9.0+ds1-3_kfreebsd-amd64.deb
 a12f2ab0c5ba5734f35877909d581d129d57c7e03456904867601e90ee07773e 43196 libusb2debian_9.0+ds1-3_kfreebsd-amd64.deb
 5ade12d46470f435865b0e2d851576862fc8f274af68e0c8f10f3a249c69adb8 68372 libusb2-dev_9.0+ds1-3_kfreebsd-amd64.deb
 d161f07da9c4032873e1e099956667187517938e350fedb0519ffa3d3281e7a7 32520 libusb2debian-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 9a016926e236e1abe6d1643c890edcc6fa5a1c627c7774c95f2d47dcd12344a7 26524 libkvm0_9.0+ds1-3_kfreebsd-amd64.deb
 48257e56e83d33474d46a87ee6dac20efb686b4974ad67900b5e9f577eb1a8ab 49558 libkvm-dev_9.0+ds1-3_kfreebsd-amd64.deb
 743f3afef76e195f17ef6fd9a2225d37e74e2af4a03ad90bf8d3d96abf625acf 19774 libdevstat7_9.0+ds1-3_kfreebsd-amd64.deb
 2efabcf2bd05b7e3a3b2e378c36ebd1513e08f3ab153c7dbcf54d1017d9496d7 26400 libdevstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
 b21c6ff223e0271224a71081eca91bff7d126e8828003e0f0ea99325e6120d3c 17766 libmemstat3_9.0+ds1-3_kfreebsd-amd64.deb
 001bf097920ed390ec2ac54e3909002abae272e788ec0404659fc69f9b9552e8 24460 libmemstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
 e39708df45cc5e9cb5f17a10d3d9754af5ca7d8dbc1f25435f35af81f51e4a17 18298 libnetgraph4_9.0+ds1-3_kfreebsd-amd64.deb
 8a3f144863fd6e364e886f382e1680b80d5f811f4d76d2b83b60ead4ee60cdf3 23738 libnetgraph-dev_9.0+ds1-3_kfreebsd-amd64.deb
 f2c3a0d601d205ef19c64fc53025f0c45a460e44235b9832054a4075ba02fa63 13366 libipx2_9.0+ds1-3_kfreebsd-amd64.deb
 4c2f68126b6a4e761d3a41e16e5fb68410305863c903721dfa3d48c3a633604c 15102 libipx-dev_9.0+ds1-3_kfreebsd-amd64.deb
 ef0da500aa80672096ef0adfa6ca8d8d06ada1ee6944224fe3d4b0878fde157f 4078 libipx2-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 9e8c2d4d4f3397efb5c7b8831991e12f539f052f9bcb9548d76be1fcabbccca2 15738 libkiconv4_9.0+ds1-3_kfreebsd-amd64.deb
 c8671428cc08b4b587866ea671adbba368c02a0db709c2ca2050da6ff6854388 12984 libkiconv-dev_9.0+ds1-3_kfreebsd-amd64.deb
 85f53b1eb5d1c80e77cfc9fb0c494b9b66a4f08050f8b539c06e5ea68ecca33f 20282 libjail1_9.0+ds1-3_kfreebsd-amd64.deb
 815c9035eb9d9e119fa797c59ac90f9d39104757ab13cfe9d4ae644185e11ca9 23858 libjail-dev_9.0+ds1-3_kfreebsd-amd64.deb
 19f7de0119b836bc6ec63ad9af243c68137b0de845ce66d1cd0bc4fe1e2a0e0c 31856 libalias7_9.0+ds1-3_kfreebsd-amd64.deb
 c8a5de189c15fb623e54596e962f3c77f27062a1164a195e168c9adaa72d19fc 48806 libalias-dev_9.0+ds1-3_kfreebsd-amd64.deb
 420e0addfe2acfdf861b0ba7f58a6cfa6f9fa03305c399f212d100c8a783ef09 23850 libusbhid-common_9.0+ds1-3_all.deb
Files: 
 96b711f1174f8fdbb3ce11f947e91731 3054 libs optional freebsd-libs_9.0+ds1-3.dsc
 df97605f6265c23e2ebb44e94e373767 25680 libs optional freebsd-libs_9.0+ds1-3.debian.tar.gz
 f64410ea889562bff73564108ab6ec68 14324 libs optional libsbuf6_9.0+ds1-3_kfreebsd-amd64.deb
 a6a41c8523efff5bdfbbd70a29982f06 4996 debian-installer optional libsbuf6-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 2ccde229432f44afb3810dc8d6fa0fe7 13792 libdevel optional libsbuf-dev_9.0+ds1-3_kfreebsd-amd64.deb
 b09f0bdebd7b530bdf048312c7b6a440 61490 libs optional libcam6_9.0+ds1-3_kfreebsd-amd64.deb
 b33297137c436c975afe3a41073fc69a 78958 libdevel optional libcam-dev_9.0+ds1-3_kfreebsd-amd64.deb
 825face3b73d0545639ac72b11e4eb99 20172 libs optional libgeom1_9.0+ds1-3_kfreebsd-amd64.deb
 c2e34341e5854a63c4b07d23a59b8d39 25220 libdevel optional libgeom-dev_9.0+ds1-3_kfreebsd-amd64.deb
 b18a2860bfbcba45fe82873338ded137 10634 debian-installer optional libgeom1-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 22f939554a1dfc405c5d2bbbceb11dae 17198 libs optional libusbhid4debian_9.0+ds1-3_kfreebsd-amd64.deb
 999b749a0c63278e5664bacbd9ae92e9 20774 libdevel optional libusbhid-dev_9.0+ds1-3_kfreebsd-amd64.deb
 1a401b99d2b959f8326040da5d666329 43196 libs optional libusb2debian_9.0+ds1-3_kfreebsd-amd64.deb
 910900560a571c6d01c2640c272daba7 68372 libdevel optional libusb2-dev_9.0+ds1-3_kfreebsd-amd64.deb
 f2c4c4711085df247f1ed50a3104dbfd 32520 debian-installer optional libusb2debian-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 722ee85f2ee7d1b53765f5cc86d8adbb 26524 libs optional libkvm0_9.0+ds1-3_kfreebsd-amd64.deb
 1171cb273e03e4982016021c91b35e2d 49558 libdevel optional libkvm-dev_9.0+ds1-3_kfreebsd-amd64.deb
 e3a5ae6e5c2820b3abe2d65e39277117 19774 libs optional libdevstat7_9.0+ds1-3_kfreebsd-amd64.deb
 7c28f7231771e57a84c03a2426f98e18 26400 libdevel optional libdevstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
 ad6b89e4b48104d7feb33be3519a28a9 17766 libs optional libmemstat3_9.0+ds1-3_kfreebsd-amd64.deb
 fa9a5fab1d28e10c64af11ea11a8a7a1 24460 libdevel optional libmemstat-dev_9.0+ds1-3_kfreebsd-amd64.deb
 f818035937a8ca5e67074b06bd1d4894 18298 libs optional libnetgraph4_9.0+ds1-3_kfreebsd-amd64.deb
 8e1a00f8c781863e594bb2ad3bed684c 23738 libdevel optional libnetgraph-dev_9.0+ds1-3_kfreebsd-amd64.deb
 da5f7914b8a8435e90833e236caddc37 13366 libs optional libipx2_9.0+ds1-3_kfreebsd-amd64.deb
 b3c868a0365a7d9f34457445e4caf0c2 15102 libdevel optional libipx-dev_9.0+ds1-3_kfreebsd-amd64.deb
 e63ed6fdb66616d8cb4815d65648e229 4078 debian-installer optional libipx2-udeb_9.0+ds1-3_kfreebsd-amd64.udeb
 9a9ed4dcf5f8a3bbc6b268f99ea69ae3 15738 libs optional libkiconv4_9.0+ds1-3_kfreebsd-amd64.deb
 9143d54765f43d326e610a909e777051 12984 libdevel optional libkiconv-dev_9.0+ds1-3_kfreebsd-amd64.deb
 afef2883a7ceeb975b1b07fb9ad39de3 20282 libs optional libjail1_9.0+ds1-3_kfreebsd-amd64.deb
 7f6aad6a877d7fd495d3c4b8d19d4b23 23858 libdevel optional libjail-dev_9.0+ds1-3_kfreebsd-amd64.deb
 f1c38cbd8d6fee62e051b8e91c9f42a9 31856 libs optional libalias7_9.0+ds1-3_kfreebsd-amd64.deb
 28d171d7091d46d936750ff77f72a87b 48806 libdevel optional libalias-dev_9.0+ds1-3_kfreebsd-amd64.deb
 edaea5eedc0240397521d79b0c03dfb4 23850 libs optional libusbhid-common_9.0+ds1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/kFreeBSD)

iEYEARECAAYFAk+/tyoACgkQC19io6rUCv+X7wCfaxRt2vaer3bJ+5YbNfO4tpIY
WVsAn3MsfQK9GxQvu6A1iHbiyCZLCo0G
=8Pky
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Jul 2012 07:37:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:30:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.